Package Details: xperia-flashtool 0.9.23.2-2

Git Clone URL: https://aur.archlinux.org/xperia-flashtool.git (read-only)
Package Base: xperia-flashtool
Description: A S1 protocol flashing software for Sony Xperia phones
Upstream URL: http://www.flashtool.net/
Licenses: unknown
Submitter: philacs
Maintainer: Muflone
Last Packager: Muflone
Votes: 27
Popularity: 1.788481
First Submitted: 2015-03-18 05:52
Last Updated: 2017-07-02 19:35

Latest Comments

ritchy commented on 2018-02-14 20:03

Changelog

  • 0.9.24.4

    Fixed an issue with debug mode that was hanging the UI Linux : updated adb and fastboot. Fixed an issue with fastboot mode detection

  • 0.9.24.3

    Switched to Java9. As a consequence, no more 32bits releases will be provided Added support for XZPremium, XZ1 and XZ1c. If ever you created bundles for those devices with a previous release, recreate it with this one Switched SWT libraries to latest Oxygen.2 release Upgraded many libraries to their latest release (log4j, Slf4j, JNA, Commons-IO, Commons-Compress, JDom, Guava, Groovy, Jopt-simple, Jbbp, lz4-java)

steadfasterX commented on 2018-01-31 15:44

latest version is: 0.9.24.3 . pls update :)

http://www.flashtool.net/downloads_linux.php

plmosqueda commented on 2017-08-25 13:15

hello im having this issue

Running as root.
Used java home : ./x10flasher_lib/linjre64
Exception in thread "main" java.lang.NullPointerException
at org.logger.MyLogger.setLevel(MyLogger.java:59)
at gui.Main.main(Main.java:29)

can you help me, thanks

Muflone commented on 2017-07-02 19:35

@brunelli
fixed missing dependency, thanks

brunelli commented on 2017-06-26 12:10

Please add mono as a dependency, as it is needed for XperiaFirm to work. When you try to launch XF from the main screen, it just fails silently if mono is not installed (debug prints "/usr/lib/xperia-flashtool/x10flasher_lib/xperifirm: line 2: mono: command not found").

RuNG commented on 2017-06-16 03:12

Flashtool does not detect ftf's under default or custom paths.

Muflone commented on 2017-05-21 18:04

@steadfasterX package updated and fix applied, thank you for noticing

steadfasterX commented on 2017-05-16 16:12

please upgrade to v0.9.23.2:

wget http://www.flashtool.net/torrents/patches/linux/x10flasher.jar
cp x10flasher.jar /usr/lib/xperia-flashtool/

thx

steadfasterX commented on 2017-05-16 16:09

the current PKGBUILD will not work for i686 because of a typo:

https://aur.archlinux.org/cgit/aur.git/tree/PKGBUILD?h=xperia-flashtool#n26

has to be changed to:

if [ "$CARCH" == "x86_64" ]; then

(adding spaces before and after the == )
otherwise bash will interpret it as 1 single word which is true ALWAYS and so will delete the required 32bit libs on i686



BrLi commented on 2017-04-21 15:33

the source url is wrong

All comments